/*
  przglue : simple glue for prz progs 
*/


struct funcs {
  int version;
  long (*clocks_per_sec)(void);
  long (*clock)(void);
  void (*putchar)(int);
  int (*printf)(char *, ...);
} F;

long CLOCKS_PER_SEC;

long (*clock)(void);
void (*putchar)(int);
int (*printf)(char *, ...);

extern int main(int argc, char **argv);

int startprz(struct funcs *f)
{
  F = *f;

  CLOCKS_PER_SEC = F.clocks_per_sec();

  clock = F.clock;
  putchar = F.putchar;
  printf = F.printf;

  return main(0,(char *)0);
}
